<?php
App::uses('EvShopAppModel', 'EvShop.Model');
/**
 * OptionGroup Model
 *
 * @property Option $Option
 */
class OptionGroup extends EvShopAppModel {

/**
 * Display field
 *
 * @var string
 */
	public $displayField = 'name';

/**
 * Validation rules
 *
 * @var array
 */
	public $validate = array(
		'name' => array(
			'notEmpty' => array(
				'rule' => array('notEmpty'),
				'message' => 'An option group must be entered'
			),
		),
	);

	//The Associations below have been created with all possible keys, those that are not needed can be removed

/**
 * hasMany associations
 *
 * @var array
 */
	public $hasMany = array(
		'Option' => array(
			'className' => 'EvShop.Option'
		)
	);

}
